﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows.Media;

namespace WpfApplication5
{
    public class BoolToBrushConverter:IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            string colorName=parameter.ToString();
            BrushConverter conv = new BrushConverter();
            SolidColorBrush defaultBrush = conv.ConvertFromString(colorName) as SolidColorBrush;

            bool b = (bool)value;
            if (b)
            {
                return defaultBrush;
            }
            else
            {
                return new SolidColorBrush(Colors.Transparent);
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
