﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Chart;

namespace WpfApplication5
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        bool isChecked = false;
        public Window1()
        {
            InitializeComponent();
        }

        private void checkBox_Checked(object sender, RoutedEventArgs e)
        {
            CheckBox ch = sender as CheckBox;
            string seriesName = ch.Tag.ToString();

            foreach (Series s in xamChart1.Series)
            {
                if (s.Label == seriesName && isChecked)
                {
                    s.Fill = new SolidColorBrush(Colors.Red);
                    isChecked = false;
                }
                else if (s.Label == seriesName && !isChecked)
                {
                    s.Fill = new SolidColorBrush(Colors.Transparent);
                    isChecked = true;
                }
            }
        }
    }
}
